import React from 'react';
declare type useDropdownReturn<Element extends HTMLElement> = [
    React.MutableRefObject<Element>,
    boolean,
    (_: boolean) => void
];
export declare function useHandleClickOutside<El extends HTMLElement>(open: boolean, onClick: () => void): React.MutableRefObject<El>;
export declare function useDropdown<El extends HTMLElement>(): useDropdownReturn<El>;
export {};
